package org.springblade.system.client.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * 模板数据表
 * @TableName platomix_app_group_service
 */
@Data
public class PlatomixAppGroupServerModel implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 应用ID
     */
    private String appId;

    /**
     * 应用文件夹ID
     */
    private String appGroupId;

    /**
     * 关联服务名称
     */
    private String linkName;

    /**
     * 关联服务ID
     */
    private String linkId;

    /**
     * 关联服务类型
     */
    private String linkType;

    /**
     * 创建人ID
     */
    private String createId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 租户id
     */
    private String tenantId;

    private static final long serialVersionUID = 1L;
}