package org.springblade.system.client.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class PlatomixAppModel implements Serializable {

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 应用id
     */
    private String appId;

    /**
     * 应用名称
     */
    private String appName;

    /**
     * 应用图标
     */
    private String appIcon;

    /**
     * 工作台(不确定)
     */
    private String appWorkbench;

    /**
     * 应用扩展数据
     */
    private String appJson;

    /**
     * 创建人ID
     */
    private String createId;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改人ID
     */
    private String updateId;

    /**
     * 修改时间
     */
    private Date updateTime;


    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 0 启用 1 禁用
     */
    private Integer appStatus;

    /**
     * 应用对应数据源ID号
     */
    private Long dataSourceId;

}
