/**
 * 
 */
package org.springblade.system.client.model;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

@Data
public class UserInfoModel implements Serializable{

	private static final long serialVersionUID = 1L;

	private String userId;

	private String name;

	private String dept;

	private String role;

	private String post;

	private String code;

	/**
	 * 部门ID号
	 */
	private String deptId;


	/**
	 * 部门CODE号
	 */
	private String deptCode;


	/**
	 * 岗位ID号
	 */
	private String postId;

	/**
	 * 岗位CODE值
	 */
	private String postCode;

}
